unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation, FMX.Edit, FMX.Ani, Unit3;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    f2: TFrame3;
    { Private declarations }
    procedure Finish1(Sender: TObject);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}
{$R *.LgXhdpiPh.fmx ANDROID}

procedure TForm1.Button1Click(Sender: TObject);
begin
  try
     f2 := TFrame3.Create(nil);
     f2.Parent := Self;
     f2.Button1.OnClick     := Finish1;
     //f2.CancelButton.OnClick := CancelClick;
     //f2.CancelButton.Visible := False;

     f2.PosXAni.PropertyName  := 'Position.Y';
     f2.PosXAni.StartValue    := Self.ClientHeight;
     f2.PosXAni.StopValue     := 0;//(Self.ClientHeight - f2.MainLayout.Height) / 2;
     f2.PosXAni.Duration      := 0.2;
     f2.PosXAni.Inverse       := False;
     f2.PosXAni.Interpolation := TInterpolationType.Linear;
     //f2.OkButton.Align := TAlignLayout.Center;
     //form1.OnKeyUp := f2KeyUp;
     f2.PosXAni.Enabled       := True;
  except
    //
  end;
end;

procedure TForm1.Finish1(Sender: TObject);
begin
     f2.Parent := nil;
     FreeAndNil(f2);
end;

end.
